[SOLVED] zxsuite "Unable to communicate to server"

Discuss your pilot or production implementation with other Zimbra admins or our engineers.
00a
Posts: 9
Joined: Sun Sep 22, 2019 12:29 pm

[SOLVED] zxsuite "Unable to communicate to server"

Postby 00a » Sun Sep 22, 2019 1:37 pm

I upgraded from the commercial version of Zimbra 8.8.9 to Zimbra 8.8.15 and use the new Zimbra connect zxsuite stuff.

Installation seemed to go fine, users can login, all the old services seemed to be good, but there are no chat/talk/video options for users when they login to the Zimbra server via the web interface.

The docs indicated you run "apt get install zimbra-connect" which I did. This disabled the old chat window which used to appear for users, but the newer version does not appear.
Right now all chat (old version and new version) is disabled for all users.

I can't get any of the new zxsuite stuff to be enabled. Looking at config settings ...

Code: Select all

$ zmprov getAllConfig  | grep NGE     
zimbraNetworkAdminNGEnabled: FALSE
zimbraNetworkMobileNGEnabled: FALSE
zimbraNetworkModulesNGEnabled: TRUE
$ zmprov gacf  | grep -i chat
zimbraChatAllowUnencryptedPassword: FALSE
zimbraChatConversationAuditEnabled: FALSE
zimbraChatServiceEnabled: TRUE
zimbraChatXmppPort: 5222
zimbraChatXmppSslPort: 5223
zimbraChatXmppSslPortEnabled: FALSE



I tried running zxsuite commands but any zxsuite command I run says it can't communicate with the server. E.g.

Code: Select all

$ zxsuite docs status

Unable to communicate with server
$ zxsuite config status
OpenJDK 64-Bit Server VM warning: .hotspot_compiler file is present but has been ignored.  Run with -XX:CompileCommandFile=.hotspot_compiler to load the file.

Unable to communicate with server
$ zxsuite core getVersion
OpenJDK 64-Bit Server VM warning: .hotspot_compiler file is present but has been ignored.  Run with -XX:CompileCommandFile=.hotspot_compiler to load the file.

CLI versions:

        network_modules_version                             3.0.1
        network_modules_commit                              fb8179ab3198b786bd4ef200bb48fccb35142b0e
        zal_version                                         2.8.0
        zal_commit                                          5192098722ef193e4a5f22d77179dcf143aadfa5


Server versions:

Unable to communicate with server



I don't see anything in the logs that looked relevant.

So I'm at a loss at what to try next. Can anyone please suggest a next step?
Last edited by 00a on Thu Sep 26, 2019 2:00 am, edited 1 time in total.


User avatar
fs.schmidt
Outstanding Member
Outstanding Member
Posts: 259
Joined: Sat Sep 13, 2014 3:37 am
Location: Brazil
Contact:

Re: zxsuite "Unable to communicate to server"

Postby fs.schmidt » Sun Sep 22, 2019 9:39 pm

Hi,

You need to start the Connect module manually until 8.8.15 P1 (I have already reported it to the Zimbra support and I hope that they will fix this soon):

Code: Select all

zxsuite connect doStartService module


Every time you restart the mailbox service you need to start the module again.
00a
Posts: 9
Joined: Sun Sep 22, 2019 12:29 pm

Re: zxsuite "Unable to communicate to server"

Postby 00a » Mon Sep 23, 2019 12:10 am

Thanks fs.schmidt,

I tried running "zxsuite connect doStartService module" but I still get the error "Unable to communicate with server.

Code: Select all

$ zxsuite connect doStartService module
OpenJDK 64-Bit Server VM warning: .hotspot_compiler file is present but has been ignored.  Run with -XX:CompileCommandFile=.hotspot_compiler to load the file.

Unable to communicate with server
$ zxsuite core getVersion
OpenJDK 64-Bit Server VM warning: .hotspot_compiler file is present but has been ignored.  Run with -XX:CompileCommandFile=.hotspot_compiler to load the file.

CLI versions:

        network_modules_version                             3.0.1
        network_modules_commit                              fb8179ab3198b786bd4ef200bb48fccb35142b0e
        zal_version                                         2.8.0
        zal_commit                                          5192098722ef193e4a5f22d77179dcf143aadfa5


Server versions:

Unable to communicate with server
00a
Posts: 9
Joined: Sun Sep 22, 2019 12:29 pm

Re: zxsuite "Unable to communicate to server"

Postby 00a » Mon Sep 23, 2019 9:33 am

Found this post viewtopic.php?t=65966#p289505 which suggests undeploying and then re-deploying all server modules according to instructions here: https://wiki.zimbra.com/wiki/Reinstall_ ... Extensions. I tried that but still get "Unable to communicate with server" from all zxsuite commands.
00a
Posts: 9
Joined: Sun Sep 22, 2019 12:29 pm

Re: zxsuite "Unable to communicate to server"

Postby 00a » Mon Sep 23, 2019 10:02 am

Perhaps that zxsuite is broken?

I tried "zxsuite --host X.X.X.X config getServices " with the --host option pointing to the IP address of a different machine on the network running tcpdump to see what zxsuite was doing, but there was no traffic at all from the zimbra server to the tcpdump monitoring server.
00a
Posts: 9
Joined: Sun Sep 22, 2019 12:29 pm

[SOLVED] zxsuite "Unable to communicate to server"

Postby 00a » Thu Sep 26, 2019 1:51 am

Solved:


Code: Select all

$ zmprov ms `zmhostname` zimbraNetworkModulesNGEnabled TRUE

$ zmmailboxdctl restart
ptsiamis@gmail.com
Posts: 1
Joined: Wed Jan 29, 2020 11:05 am

Re: [SOLVED] zxsuite "Unable to communicate to server"

Postby ptsiamis@gmail.com » Wed Jan 29, 2020 11:07 am

Hey Guys, had the same issue with the update on 8.8.15 .
Seems that there was also a bug on zimbra-network-modules-ng and also needed a yum update in order to work after the install.sh that upgraded the zimbra installation. Hope this will help someone who updates it.
igo
Posts: 1
Joined: Wed Jan 29, 2020 11:53 am

Re: [SOLVED] zxsuite "Unable to communicate to server"

Postby igo » Wed Jan 29, 2020 11:55 am

00a wrote:Solved:


Code: Select all

$ zmprov ms `zmhostname` zimbraNetworkModulesNGEnabled TRUE

$ zmmailboxdctl restart


don't work for me. Perhaps there is another solution?
king007
Posts: 1
Joined: Wed Feb 12, 2020 7:36 am

Re: [SOLVED] zxsuite "Unable to communicate to server"

Postby king007 » Wed Feb 12, 2020 7:40 am

Hi guys

I can confirm that after an upgrade to last 8.8.15 NG modules does not work at all.
In our case it's necessary to do an apt-ugrade after the upgrade, and the system takes a new packet of ng-modules from archives.
Once updated NG modules start to work correctly but we still dont have the NG panels in administration interface, undeploying and deploying the zimplet does not help, all the modules are enabled in conf but there is no way to see the administration panels for NG.

If anyone can help, it's appreciated.
Klug
Elite member
Elite member
Posts: 2368
Joined: Mon Dec 16, 2013 11:35 am
Contact:

Re: [SOLVED] zxsuite "Unable to communicate to server"

Postby Klug » Wed Feb 12, 2020 9:52 am

Same issue yesterday, upgrading from 8.8.12 to 8.8.15.

No visible admin menu and no NG service running while correctly setup (and they were running in 8.8.12).

First try was to redeploy all the zimlets, didn't work.
We had to do a "yum update" on all mailstores to get it back.

Did you try to stop the mailstore, cleanup the work folder then restart the mailstore?

Return to “Administrators”

Who is online

Users browsing this forum: No registered users and 13 guests